Actions

Actualizarea de la o versiune anterioară

From LimeSurvey Manual

This page is a translated version of the page Upgrading from a previous version and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Nederlands • ‎Tiếng Việt • ‎dansk • ‎español • ‎français • ‎italiano • ‎magyar • ‎polski • ‎română • ‎slovenščina • ‎български • ‎русский • ‎中文(简体)‎ • ‎日本語
Pagini suplimentare:{toc}

Înainte de a începe...

... citește asta pentru că este foarte important: Fă întotdeauna backup la fișierele și baza de date a instalării curente!

Puteți face acest lucru folosind un instrument de administrare a bazei de date precum phpMyAdmin și un manager de fișiere! Dacă nu știți cum să faceți acest lucru, nu trebuie să continuați și să întrebați pe cineva care știe.

Recomandare de utilizare a ComfortUpdate

Cea mai simplă/sigură modalitate de a face upgrade este să utilizați serviciul nostru ComfortUpdate.

Instrucțiuni de actualizare (de la 2.x sau mai recent la orice versiune ulterioară)

Vă rugăm să urmați aceste instrucțiuni:

  • Fă backup pentru fișierele și baza de date (am menționat deja asta?).
  • Șterge toate fișierele vechi/ foldere cu excepția:
    • /application/config/security.php -Important!! Aceasta este cheia tuturor datelor criptate din LimeSurvey (versiunea 4 și ulterioară)
    • /application/config/config.php;
    • /directorul de încărcare
Help.pngNotă: Dacă aveți șabloane personalizate în /upload/templates, asigurați-vă că le „împrospătați” cu orice modificări care vin odată cu noua versiune LimeSurvey. Cel mai simplu mod de a verifica astfel de modificări este să comparați fișierul șablonul vechi cu noua versiune a șablonului implicit. Dacă observați diferențe, altele decât personalizările dvs., este necesară o reîmprospătare.
  • Copiați noile fișiere din noul pachet LimeSurvey în locația existentă.
  • Deschideți pagina de administrare în browser (de ex. https://www.example.com/limesurvey/admin) și verificați dacă există o bază de date. este necesară actualizarea schemei.
  • După actualizare: Ștergeți cache-ul browserului și cookie-urile!

Instrucțiuni pentru versiunile mai vechi

Din păcate, există câteva lucruri de luat în considerare, așa că vă rugăm să citiți cu atenție următoarele instrucțiuni.

Se face upgrade de la versiunea 1.50 sau ulterioară la orice versiune 2.xx ulterioară

  • Descărcare cea mai recentă versiune de LimeSurvey
  • Fă backup fișierele și baza de date (am menționat deja asta?).
  • Înlocuiți toate fișierele directorului de instalare
    • Ștergeți toate fișierele vechi din directorul de instalare existent
    • Încărcați și despachetați noile fișiere ale noii versiuni în același director de instalare
    • Dacă versiunea anterioară este mai veche de 1.90, copiați orice șabloane personalizate în /upload/templates - veți de asemenea trebuie să redenumiți fiecare director de șablon al cărui nume se potrivește cu un șablon existent în /templates
    • Copiați directorul /upload înapoi în vechea locație
    • Verificați de două ori „permisiunile” setate în directoare (acces de scriere la „/tmp', /upload, iar subdirectoarele acestora este necesar) așa cum este descris în wiki de instalare
    • Deschideți http://<yourdomain> /<yourlimesurveydir> /admin în browser și urmați instrucțiunile (veți găsi datele bazei de date în vechiul config.php). Baza de date existentă va fi detectată automat și, dacă este necesar, actualizată după confirmare.
  • Verificați dacă se aplică verificări manuale speciale, așa cum sunt enumerate mai jos
  • Acum, ștergeți memoria cache a browserului și cookie-urile și sunteți bun de plecare
Important.png  Atenție : Rețineți că structura șablonului s-a schimbat odată cu actualizarea de la 2.0x la 2.50 sau mai târziu. Șabloanele dvs. vechi nu vor mai funcționa, deoarece sistemul de șabloane folosește acum șabloane receptive.


Verificări speciale după o actualizare:
  • de la orice versiune anterioară la 2.xx: codurile de întrebare corecte sunt obligatorii acum. După actualizarea instalării, verificați logica sondajului a tuturor sondajelor și corectați codurile acolo unde este necesar
  • de la o versiune anterioară v1.53: Când faceți upgrade de la o versiune anterioară v1.53 la cea mai recentă versiune , vă rugăm să verificați „drepturile globale ale utilizatorului” ale fiecărui utilizator. A existat un nou drept de „superadmin” introdus în v1.53, care poate oferi unui utilizator același privilegiu ca și contul de administrare principal creat în timpul instalării. Scriptul de actualizare ghicește cui ar trebui să i se acorde această permisiune în versiunile mai vechi. Deoarece acest lucru nu este perfect, ar trebui verificat cu atenție.
  • de la orice versiune anterioară până la v2.06: De la 2.05 la 2.06, au fost activate unele permisiuni neutilizate la editarea permisiunilor globale pentru „sondaje”. De exemplu, dacă un utilizator avea doar permisiunea de „creare” în 2.05, celelalte permisiuni situate în dreapta „creare” ar fi activate și cu actualizarea la 2.06 (Vizualizare/citire, Actualizare, Ștergere, Import, Export). Vă rugăm să verificați dacă utilizatorii admin au primit alte permisiuni globale în afară de cele „originale” după actualizare. Dacă da, vă rugăm să le editați în consecință.

Faceți upgrade de la versiunea 1.50 sau ulterioară la orice versiune 1.xx ulterioară

  • Descărcați versiunea dorită de LimeSurvey
  • Faceți backup fișierele și baza de date (am menționat deja asta?).
  • Înlocuiți toate fișierele directorului de instalare
    • Ștergeți toate fișierele vechi din directorul de instalare existent
    • Încărcați și despachetați noua versiune de cod în același director de instalare
    • Editați sau înlocuiți fișierul config.php:
      • Dacă versiunea dvs. anterioară a fost < 1,70: Editați noul config.php pentru a reflecta modificările din fișierul de rezervă config.php. Nu suprascrieți pur și simplu noul config.php cu cel vechi!
      • Dacă versiunea anterioară a fost >= 1.70: Pur și simplu înlocuiți noua config. php cu fișierul dvs. de rezervă config.php (deoarece formatul fișierului nu s-a schimbat)! N!** Dacă versiunea anterioară a fost mai veche de 1.90: Copiați orice șabloane personalizate în /upload/templates - va trebui, de asemenea, să redenumiți fiecare director de șablon al cărui nume se potrivește cu un șablon existent în /templates
    • Copiați directorul /upload înapoi în locația veche
    • Verificați de două ori setul de „permisiuni” în directoarele LimeSurvey (este necesar accesul de scriere la „/tmp', /upload și la subdirectoarele acestora) așa cum este descris în wiki de instalare
  • Finalizați procesul de instalare/actualizare
    • După ce deschideți adresa URL pentru administrarea LimeSurvey, tabelele bazei de date vor fi actualizate după confirmare
    • Eliminați sau redenumiți directorul /admin/install ca/dacă instruit de scriptul de instalare
    • Verificați dacă se aplică verificări manuale speciale (după cum este listat mai jos)
Verificări speciale după o actualizare:
  • De la o versiune anterioară v1.53: Când faceți upgrade de la o versiune anterioară v1.53 la cea mai recentă versiune, vă rugăm să verificați „drepturile globale ale utilizatorului” ale fiecărui utilizator. A existat un nou drept de „superadmin” introdus în v1.53, care poate oferi unui utilizator același privilegiu ca și contul de administrare principal creat în timpul instalării. Scriptul de actualizare ghicește cui ar trebui să i se acorde această permisiune în versiunile mai vechi. Deoarece acest lucru nu este perfect, ar trebui verificat cu atenție.

Actualizarea de la o versiune anterioară v1.50 (v1.0 până la v1.44)

Deoarece structura datelor și multe alte lucruri au fost modificate, „ nu este posibilă actualizarea de la orice versiune anterioară v1.50”. Dacă aveți fișiere vechi de structură a sondajului cu o extensie *.sql, singura modalitate de a le introduce într-o versiune mai nouă este să instalați versiunea 1.50 , importați fișierele .sql acolo, apoi actualizați versiunea respectivă la cea mai recentă versiune LimeSurvey. Verificați pagina legată de cum poate fi transferată o instalare pentru mai multe detalii.

Actualizare folosind CLI

Puteți actualiza baza de date prin CLI PHP: php application/commands/console.php updatedb . Acest lucru vă permite să configurați un sistem de actualizare automată prin linia de comandă (de exemplu, într-un crontab), deși nu este recomandat.

Actualizare eșuată a bazei de date după actualizarea manuală/ComfortUpdate

Uneori, chiar dacă ați făcut totul corect, lucrurile nu funcționează în timpul actualizării bazei de date. Acest lucru se poate întâmpla din diverse motive: diferite versiuni ale bazei de date. , formate sau conținuturi de date neașteptate, configurații neobișnuite sau orice altceva care nu a apărut în testele noastre (da, testăm multe!)

Dacă întâmpinați o eroare în timpul actualizării bazei de date și instanța dvs. LimeSurvey ajunge într-o stare inutilizabilă, doriți să reveniți la versiunea anterioară. Acest lucru presupune că aveți încă baza de date și backupul fișierului, fie din backup-ul dvs. obișnuit, fie cel creat de Comfortupdate.

Vă rugăm să executați următorii pași:

  • Fă o copie de rezervă a directorului și bazei de date LimeSurvey existente (da, din nou - o vom numi a doua copie de rezervă)
  • Restaurează fișierele în directorul existent (doar să le suprascrii este bine) din copia de rezervă originală (prima).
  • Ștergeți vechea bază de date și restaurați baza de date din copia de rezervă originală (prima).

Asta este. Totul ar trebui să revină la normal.

O notă despre raportarea acestei probleme:

Dacă întâmpinați o problemă ca aceasta, vă rugăm să raportați întotdeauna aceasta în instrumentul nostru de urmărire a erorilor la https://bugs.limesurvey.org

O eroare neraportată este o eroare neremediată. Vă rugăm să nu vă bazați doar pe alți oameni care o raportează. Dacă vedeți că eroarea este deja raportată, puteți, de asemenea, ajuta la creșterea priorității erorilor, marcând-o ca „Da, această eroare mă afectează” în instrumentul de urmărire a erorilor.

Întrebări frecvente

Pot face upgrade chiar dacă am sondaje active?

Da, poti. Excepțiile pot fi menționate în instrucțiunile detaliate de mai sus. Vă sfătuim cu insistență să vă testați sondajele după actualizare pentru a verifica dacă șabloanele de design încă funcționează bine.

Cum se convertesc fișierele cu structură a sondajului *.sql/*.csv în cea mai recentă versiune LimeSurvey?

Instalați versiunea 1.50, importați fișierul și exportați structura sondajului în formatul .csv mai nou. Apoi instalați cea mai recentă versiune 2.x și importați formatul .csv și exportați-l în formatul actual .lss.